#line 1 "trace.c"
























 


#line 1 "trace.h"
























 




#line 1 "types.h"
























 





typedef char SCHAR ;
typedef unsigned char UCHAR ;
typedef short int SSHORT ;
typedef unsigned short int USHORT ;
typedef long int SLONG ;
typedef unsigned long ULONG ;





#line 31 "trace.h"

extern void TraceMAC ( UCHAR *   ) ;

extern void TraceIP ( ULONG   ) ;

extern void TraceUCHAR ( UCHAR   ) ;

extern void TraceUSHORT ( USHORT   ) ;

extern void TraceULONG ( ULONG   ) ;

#line 29 "trace.c"
#line 1 "uart0.h"























 




#line 30 "uart0.h"

extern UCHAR UART0TxdLEDDelayCounter ;
extern UCHAR UART0RxDLEDDelayCounter ;

extern void UART0InitEnvir ( void ) ;

extern void UART0HardwInit( ULONG   ,
                            UCHAR   ,
                            ULONG   ) ;

extern void UART0InputReset ( void ) ;

extern void UART0Send ( UCHAR   ) ;

extern void UART0SendString ( UCHAR *   ) ;

extern ULONG UART0DataPresent ( void ) ;

extern UCHAR UART0GetData ( void ) ;

extern UCHAR UART0Working ( void ) ;



#line 30 "trace.c"
#line 1 "strings.h"
























 




#line 31 "strings.h"


extern void memclear ( void *   ,
                       USHORT   ) ;

extern void memcopy ( void *   ,
                      void *   ,
                      USHORT   ) ;

extern UCHAR Cap ( UCHAR   ) ;

extern void StrCpy ( UCHAR *   ,
               const UCHAR *   ) ;

extern USHORT StrLen ( UCHAR *   ) ;

extern void StrDelete ( UCHAR *   ,
                        USHORT    ,
                        USHORT    ) ;

extern void StrNorm ( UCHAR *   ) ;

extern void StrExp ( USHORT    ,
                     UCHAR *   ) ;

extern void AppendCh ( UCHAR *   ,
                       UCHAR     ) ;

extern void AppendStr ( UCHAR *   ,
                  const UCHAR *   ) ;

extern void Append ( USHORT    ,
                     UCHAR *   ,
               const UCHAR *   ) ;

extern UCHAR * BegOfString ( UCHAR *   ) ;

extern void WordToHexStr ( UCHAR *   ,
                           USHORT    ,
                           UCHAR     ,
                           USHORT    ) ;

extern void WordToStr ( UCHAR *   ,
                        USHORT    ,
                        UCHAR     ,
                        USHORT    ) ;

extern void LongToStr ( UCHAR *   ,
                        USHORT    ,
                        UCHAR     ,
                        ULONG     ) ;

extern void LongToHexStr ( UCHAR *   ,
                           USHORT    ,
                           UCHAR     ,
                           ULONG     ) ;

extern void IPToString ( UCHAR *   ,
                         ULONG     ) ;

extern UCHAR Digit ( UCHAR   ) ;

extern UCHAR StrToCard ( UCHAR *    ,
                         USHORT *   ) ;

extern UCHAR StrToLCard ( UCHAR *   ,
                          ULONG *   ) ;

extern UCHAR CompareString ( UCHAR *   ,
                             UCHAR *   ,
                             USHORT    ) ;

extern UCHAR StrToIP ( UCHAR *   ,
                       ULONG *   ) ;

#line 31 "trace.c"


void TraceMAC ( UCHAR * MACAddr )
{  
  UCHAR NumberStr [ 32 ] ;
  USHORT Loop ;
   
  for ( Loop = 0 ; Loop < 5 ; Loop ++ )
  {
    WordToHexStr ( NumberStr , 2 , '0' ,  ( USHORT ) ( * MACAddr ) ) ;
    MACAddr ++ ;
    UART0SendString ( NumberStr ) ;
    UART0Send ( '-' ) ;
  }   ;  
  WordToHexStr ( NumberStr , 2 , '0' ,  ( USHORT ) ( * MACAddr ) ) ;
  UART0SendString ( NumberStr ) ;
}  


void TraceIP ( ULONG IPAddress )
{
  UCHAR NumberStr [ 24 ] ;
   
  IPToString ( NumberStr , IPAddress ) ;
  UART0SendString ( NumberStr ) ;
}  


void TraceUCHAR ( UCHAR Data )
{
  UCHAR NumberStr [ 8 ] ;
   
  WordToHexStr ( NumberStr , 2 , '0' , ( USHORT ) Data ) ;
  UART0SendString ( NumberStr ) ;
}  
  

void TraceUSHORT ( USHORT Data )
{
  UCHAR NumberStr [ 8 ] ;
   
  WordToHexStr ( NumberStr , 4 , '0' , Data ) ;
  UART0SendString ( NumberStr ) ;
}  


void TraceULONG ( ULONG Data )
{
  UCHAR NumberStr [ 12 ] ;
   
  LongToHexStr ( NumberStr , 8 , '0' , Data ) ;
  UART0SendString ( NumberStr ) ;
}  

